" Disable whitespace highlighting in git buffer
autocmd! BufEnter <buffer> DisableWhitespace

nnoremap <buffer> <silent>q  :bwipeout!<CR>

nnoremap <buffer> <Leader>gb :call git#git_branch_checkout()<CR>
nnoremap <buffer> <Leader>gB :call git#git_branch_delete()<CR>
nnoremap <buffer> <Leader>gd :call git#git_diffview_commit()<CR>
nnoremap <buffer> <Leader>gD :call git#git_diff_commit()<CR>
nnoremap <buffer> <Leader>gl :call git#git_branch_log()<CR>
nnoremap <buffer> <Leader>gL :call git#git_branch_log_pretty()<CR>
nnoremap <buffer> <Leader>gp :call git#git_cherry_pick()<CR>
xnoremap <buffer> <Leader>gP :<C-U>call git#git_cherry_pick_range()<CR>
nnoremap <buffer> <Leader>gr :call git#git_rebase_branch()<CR>
